Subject: bug#12915: 24.2.50; Visiting a file via drag-and-drop should add it to the history of visited files

From: Dani Moncayo <[email-masked]>
Date: Sun, 13 Jan 2013 20:52:40 +0100

>> Perhaps I wasn't clear enough, but what I had in mind was adding to
>> the history every file visited _under direct user request_ (with
>> either `C-x C-f', drag-n-drop, click on dired buffer, jump to
>> bookmark, menu item, command line argument, etc).
>
> Do you agree that "file displayed" is a good enough approximation?
> What are the cases where Emacs displays a file without it being "under
> direct user request"?

I'm not quite sure, but I think that your approximation could fail in
cases where some lisp program visits and displays files as part of its
functioning, but I don't have a concrete use case right now.

-- 
Dani Moncayo